package com.heyu.api.data.service.user;
/**
* <p>
* 用户家庭表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.user.UserHomeEntity;
public interface UserHomeService extends IService<UserHomeEntity> {



	UserHomeEntity selectUserHomeById(Long id);


	Long insertUserHome(UserHomeEntity userHome);


	Long insertOrUpdateUserHome(UserHomeEntity userHome);


	int updateUserHomeById(UserHomeEntity userHome);


	int updateCoverUserHomeById(UserHomeEntity userHome);


	int deleteUserHomeById(Long id);


}